Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.codehaus.groovy.grails.web.mime
[Java] Interface MimeUtility

    public interface MimeUtility

Authors:
  Graeme Rocher

Since:
  2.0

Method Summary
`java.util.List` | `getKnownMimeTypes()` Gets the known configured MimeType instances
`MimeType` | `getMimeTypeForExtension(java.lang.String extension)` Obtains a MimeType for the given extension
`MimeType` | `getMimeTypeForURI(java.lang.String uri)` Obtains a MimeType for the given extension

Method Detail

### getKnownMimeTypes

    public java.util.List getKnownMimeTypes()

  Gets the known configured MimeType instances
  Returns:
    An array of MimeType instances

### getMimeTypeForExtension

    public MimeType getMimeTypeForExtension(java.lang.String extension)

  Obtains a MimeType for the given extension
  Parameters:
    `extension` - The extension
  Returns:
    The MimeType instance or null if not known

### getMimeTypeForURI

    public MimeType getMimeTypeForURI(java.lang.String uri)

  Obtains a MimeType for the given extension
  Parameters:
    `uri` - The URI to use
  Returns:
    The MimeType instance or null if not known

Groovy Documentation